package net.northking.cctp.scriptcase.dto.inputSet;

import io.swagger.annotations.ApiModelProperty;

import java.util.List;
import java.util.Map;

public class AtuInputSetResultDto {

    @ApiModelProperty("脚本id")
    private String scriptId;

    @ApiModelProperty("环境id")
    private String envId;

    @ApiModelProperty("环境名称")
    private String envName;

    @ApiModelProperty("表格头")
    private List<String> tableHeader;

    @ApiModelProperty("表格数据")
    private List<Map<String,Object>> tableContent;

    @ApiModelProperty("表格头格式")
    private List<Map<String,Object>> variables;

    public List<Map<String, Object>> getVariables() {
        return variables;
    }

    public void setVariables(List<Map<String, Object>> variables) {
        this.variables = variables;
    }

    public String getScriptId() {
        return scriptId;
    }

    public void setScriptId(String scriptId) {
        this.scriptId = scriptId;
    }

    public String getEnvId() {
        return envId;
    }

    public void setEnvId(String envId) {
        this.envId = envId;
    }

    public String getEnvName() {
        return envName;
    }

    public void setEnvName(String envName) {
        this.envName = envName;
    }

    public List<Map<String, Object>> getTableContent() {
        return tableContent;
    }

    public void setTableContent(List<Map<String, Object>> tableContent) {
        this.tableContent = tableContent;
    }

    public List<String> getTableHeader() {
        return tableHeader;
    }

    public void setTableHeader(List<String> tableHeader) {
        this.tableHeader = tableHeader;
    }
}
